import { Token, TokenType } from './types';
/**
 * Check if given string is whitespace-only
 */
export declare function isWhitespace(str: string): boolean;
/**
 * Check if given token has specified `type`
 */
export declare function isType(token: Token | undefined, type: TokenType): boolean;
/**
 * Check if given token contains tag
 */
export declare function isTagToken(token: Token): boolean;
/**
 * Collects element stack for given text location
 */
export declare function getElementStack(tokens: Token[], pos: number): {
    stack: Token[];
    start: number;
};
/**
 * Returns last item in given array
 */
export declare function last<T>(arr: T[]): T | undefined;
/**
 * Diff token factory
 */
export declare function diffToken(name: string, value: string, location: number, text?: string): Token;
export declare function isDiffToken(token: Token): boolean;
